    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.security.interfaces.DSAPublicKey

public interface DSAPublicKey
extends DSAKey, PublicKey

The interface to a DSA public key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

See Also:
  Key, KeyParams, Signature

##

getY()
  Returns the value of the public key, `y`.

##

getY

     public abstract BigInteger getY()

  Returns the value of the public key, `y`.

  Returns:
    the value of the public key, `y`.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.